coupang
PUT/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/original-prices/{originalPrice}v1

Change the base price for discount rate at an item level

# 01

Summary

Available buyer market: Korea, Taiwan The base price for discount rate at an item level is changed. You can use this feature once you have an Option ID(vendoritemId) issued upon approval of 'request for sale'.

# 02

Details

Available buyer market: Korea, Taiwan
The base price for discount rate at an item level is changed. You can use this feature once you have an Option ID(vendoritemId) issued upon approval of 'request for sale'.

Path

PUT

/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/original-prices/{originalPrice}

Example Endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/3010120800/original-prices/100000

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorItemId O Number
Option ID
A unique number assigned to a vendor item.
originalPrice O Number 
Base price for discount rate
You can enter at ten won- level starting from 0.
(1 won -level cannot be entered)

Request Example

not require body

Response Message

Name Type Description
code String
Result code
SUCCESS/ERROR
message String
Result message

Response Example

{
  "code": "SUCCESS",
  "message": "할인율 기준가격이 변경되었습니다.",
  "data": null
}

Error Spec

HTTP status code (Error type) Error message Solution
400 (Check the requested variable) original price change failed. [OptionID[5056***141] : Deleted product cannot be changed.] Deletion of option ID (vendorItemId) is checked.
400 (Check the requested variable) original price change failed. [OptionID[5246***945]: Price can be entered at 10 won-level.(1 won -level(a single-digit level) cannot be entered)] The base price for discount rate can be checked for its correctness(originalPrice). It can be entered at the minimum 10 won-level.(1 won-level cannot be entered)
400 (Check the requested variable) Invalid vendorItemId. Option ID(vendorItemId) can be checked for preciseness.

URL API Name

UPDATE_PRODUCT_PRICE_INCL_DISCOUNT